Package org.eclipse.emf.cdo.server

# Class IStoreChunkReader.Chunk

java.lang.Object
org.eclipse.emf.cdo.server.IStoreChunkReader.Chunk

Enclosing interface:
  IStoreChunkReader

public static class IStoreChunkReader.Chunk extends Object
Represents a `sublist` of consecutive elements that are subject to partial collection loading.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Chunk(int startIndex)`
`Chunk(int startIndex, int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int indexInChunk, Object value)`
`Object`
`get(int indexInChunk)`
`int`
`getStartIndex()`
`int`
`size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Chunk

public Chunk(int startIndex)

### Chunk

public Chunk(int startIndex, int size)

## Method Details

### getStartIndex

public int getStartIndex()

### size

public int size()

### get

public Object get(int indexInChunk)

Since:
  2.0

### add

public void add(int indexInChunk, Object value)

Since:
  2.0